## Edit Target Environment `client.VulnerabilityScanner.TargetEnvironments.Edit(ctx, targetEnvironmentID, params) (*TargetEnvironmentEditResponse, error)` **patch** `/accounts/{account_id}/vuln_scanner/target_environments/{target_environment_id}` Updates a target environment with only the provided fields; omitted fields remain unchanged. ### Parameters - `targetEnvironmentID string` - `params TargetEnvironmentEditParams` - `AccountID param.Field[string]` Path param: Identifier. - `Description param.Field[string]` Body param: Optional description. Omit to leave unchanged, set to `null` to clear, or provide a string to update. - `Name param.Field[string]` Body param: Human-readable name. - `Target param.Field[TargetEnvironmentEditParamsTarget]` Body param: Identifies the Cloudflare asset to scan. Uses a `type` discriminator. Currently the service supports only `zone` targets. - `Type TargetEnvironmentEditParamsTargetType` - `const TargetEnvironmentEditParamsTargetTypeZone TargetEnvironmentEditParamsTargetType = "zone"` - `ZoneTag string` Cloudflare zone tag. The zone must belong to the account. ### Returns - `type TargetEnvironmentEditResponse struct{…}` - `ID string` Target environment identifier. - `Name string` Human-readable name. - `Target TargetEnvironmentEditResponseTarget` Identifies the Cloudflare asset to scan. Uses a `type` discriminator. Currently the service supports only `zone` targets. - `Type TargetEnvironmentEditResponseTargetType` - `const TargetEnvironmentEditResponseTargetTypeZone TargetEnvironmentEditResponseTargetType = "zone"` - `ZoneTag string` Cloudflare zone tag. The zone must belong to the account. - `Description string` Optional description providing additional context. ### Example ```go package main import ( "context" "fmt" "github.com/cloudflare/cloudflare-go" "github.com/cloudflare/cloudflare-go/option" "github.com/cloudflare/cloudflare-go/vulnerability_scanner" ) func main() { client := cloudflare.NewClient( option.WithAPIToken("Sn3lZJTBX6kkg7OdcBUAxOO963GEIyGQqnFTOFYY"), ) response, err := client.VulnerabilityScanner.TargetEnvironments.Edit( context.TODO(), "182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e", vulnerability_scanner.TargetEnvironmentEditParams{ AccountID: cloudflare.F("023e105f4ecef8ad9ca31a8372d0c353"), }, ) if err != nil { panic(err.Error()) } fmt.Printf("%+v\n", response.ID) } ``` #### Response ```json { "errors": [ { "code": 1000, "message": "message", "documentation_url": "documentation_url", "source": { "pointer": "pointer" } } ], "messages": [ { "code": 1000, "message": "message", "documentation_url": "documentation_url", "source": { "pointer": "pointer" } } ], "success": true, "result": { "id": "182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e", "name": "Production Zone", "target": { "type": "zone", "zone_tag": "d8e8fca2dc0f896fd7cb4cb0031ba249" }, "description": "Main production environment" }, "result_info": {} } ```